status = error
name = PropertiesConfig

filters = threshold

filter.threshold.type = ThresholdFilter
filter.threshold.level = trace
filter.threshold.onMatch = ACCEPT
filter.threshold.onMismatch= NEUTRAL

appenders = console, file

appender.console.type = Console
appender.console.name = console
appender.console.layout.type = PatternLayout
appender.console.layout.pattern = %date{yyyy-MM-dd HH:mm:ss} [%level] [%logger{3}:%line] - %message %n

appender.file.type = File
appender.file.name = file
appender.file.fileName = logs/debug.log
appender.file.layout.type = PatternLayout
appender.file.layout.pattern = %date{yyyy-MM-dd HH:mm:ss} [%level] [%logger{3}:%line] - %message %n

rootLogger.level = debug
rootLogger.additivity = false
rootLogger.appenderRefs = console, file
rootLogger.appenderRef.stdout.ref = console
rootLogger.appenderRef.rolling.ref = file
